Debian Bug report logs - #606709
needs update for live-build 3.x

version graph

Package: syslinux-themes-debian; Maintainer for syslinux-themes-debian is Debian QA Group <packages@qa.debian.org>; Source for syslinux-themes-debian is src:syslinux-themes-debian.

Reported by: Volker Theile <votdev@gmx.de>

Date: Sat, 11 Dec 2010 01:06:02 UTC

Severity: normal

Fixed in version syslinux-themes-debian/6-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#606709; Package live-build. (Sat, 11 Dec 2010 01:06:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Volker Theile <votdev@gmx.de>:
New Bug report received and forwarded. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Sat, 11 Dec 2010 01:06:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Volker Theile <votdev@gmx.de>
To: submit@bugs.debian.org
Subject: Missing syslinux theme breaks build when using live-build 3.0~a9-1
Date: Sat, 11 Dec 2010 02:02:22 +0100
[Message part 1 (text/plain, inline)]
Package: live-build
Version: 3.0~a9-1

The image build process stops because of trying to copy a syslinux theme 
directory that does not exist.
The lb_binary_syslinux script has been modified with

http://live.debian.net/gitweb?p=live-build.git;a=commit;h=fccf7409152a64e193150374b7a4d4173e5f0254

What was the intention of this code change? Is there a syslinux theme 
package missing for live-build?
<http://live.debian.net/gitweb?p=live-build.git;a=commit;h=fccf7409152a64e193150374b7a4d4173e5f0254>
Below the error message:

After this operation, 4461 kB of additional disk space will be used.
Get:1 http://ftp.de.debian.org/debian/ squeeze/main memtest86+ i386 
4.10-1.1 [221 kB]
Get:2 http://ftp.de.debian.org/debian/ squeeze/main syslinux-common all 
2:4.02+dfsg-7 [1271 kB]
Get:3 http://ftp.de.debian.org/debian/ squeeze/main syslinux i386 
2:4.02+dfsg-7 [91.8 kB]
Get:4 http://ftp.de.debian.org/debian/ squeeze/main 
syslinux-themes-debian-squeeze all 3-1 [22.5 kB]
Fetched 1606 kB in 1s (1071 kB/s)
Preconfiguring packages ...
Selecting previously deselected package memtest86+.
(Reading database ... 20502 files and directories currently installed.)
Unpacking memtest86+ (from .../memtest86+_4.10-1.1_i386.deb) ...
Selecting previously deselected package syslinux-common.
Unpacking syslinux-common (from 
.../syslinux-common_2%3a4.02+dfsg-7_all.deb) ...
Selecting previously deselected package syslinux.
Unpacking syslinux (from .../syslinux_2%3a4.02+dfsg-7_i386.deb) ...
Selecting previously deselected package syslinux-themes-debian-squeeze.
Unpacking syslinux-themes-debian-squeeze (from 
.../syslinux-themes-debian-squeeze_3-1_all.deb) ...
Setting up memtest86+ (4.10-1.1) ...
Setting up syslinux-common (2:4.02+dfsg-7) ...
Setting up syslinux (2:4.02+dfsg-7) ...
Setting up syslinux-themes-debian-squeeze (3-1) ...
cp: Aufruf von stat für 
"chroot/usr/share/syslinux/themes/debian-squeeze/isolinux-live/*" nicht 
möglich: No such file or directory
P: Begin unmounting filesystems...
make: *** [cd] Fehler 1


(live)root@Genesis:/# ls -alh /usr/share/syslinux/themes/debian-squeeze
total 20K
drwxr-xr-x 5 root root 4.0K Dec 10 23:07 .
drwxr-xr-x 3 root root 4.0K Dec 10 23:07 ..
drwxr-xr-x 2 root root 4.0K Dec 10 23:07 common
drwxr-xr-x 2 root root 4.0K Dec 10 23:07 extlinux
drwxr-xr-x 2 root root 4.0K Dec 10 23:07 isolinux

Regards
Volker
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#606709; Package live-build. (Sat, 11 Dec 2010 05:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Sat, 11 Dec 2010 05:45:05 GMT) Full text and rfc822 format available.

Message #10 received at 606709@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Volker Theile <votdev@gmx.de>
Cc: 606709@bugs.debian.org
Subject: Re: Bug#606709: Missing syslinux theme breaks build when using live-build 3.0~a9-1
Date: Sat, 11 Dec 2010 06:35:16 +0100
On 12/11/2010 02:02 AM, Volker Theile wrote:
> The image build process stops because of trying to copy a syslinux theme
> directory that does not exist.

syslinux-themes-debian is not yet updated in experimental for 
live-build; this is because i'm waiting for the final upload of it for 
squeeze first (which should happen around next week i was told), and 
then the new one for experimental.

in the meanwhile, i suggest you create your own or don't use 
experimental live-build.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#606709; Package live-build. (Tue, 04 Jan 2011 11:24:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Canham <paul@canham.eu>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Tue, 04 Jan 2011 11:24:07 GMT) Full text and rfc822 format available.

Message #15 received at 606709@bugs.debian.org (full text, mbox):

From: Paul Canham <paul@canham.eu>
To: 606709@bugs.debian.org
Subject: Missing syslinux theme breaks build when using live-build 3.0~a9-1
Date: Tue, 04 Jan 2011 11:23:00 +0000
[Message part 1 (text/plain, inline)]
Problem with this is that this also breaks the mode "ubuntu" under 
live-build as well due to they don't have the

syslinux-themes-debian-squeeze

I have tried to configure the build system to use a custom one but it still trys to install

syslinux-themes-debian-squeeze and fails. Looks like this package is in natty (11.04) but not under maverick (10.10) or lucid (10.04 LTS)


export LB_BOOTLOADER="grub"
export LB_SYSLINUX_SPLASH="config/binary_syslinux/splash.rle"
export LB_SYSLINUX_MENU="enabled"
export LB_SYSLINUX_TIMEOUT="1"
export LB_SYSVINIT="disabled"
export LB_PACKAGES_LISTS="pcanham-standard"
export LB_BOOTSTRAP_EXCLUDE="$LH_BOOTSTRAP_EXCLUDE byobu,vim-tiny,nano,ed,openjdk-6-jre,openjdk-6-jre-headless,openjdk-6-jre-lib,icedtea-6-jre-cacao,icedtea6-plugin,exim4,exim4-base,exim4-config,exim4-daemon-light,bsd-mailx"

DISTRIBUTION="maverick"

lb config -a i386 \
--mode ubuntu \
--language en_GB \
--distribution ${DISTRIBUTION} \
--archive-areas "main multiverse universe restricted" \
--mirror-bootstrap http://mirror.house-net.local/ubuntu \
--mirror-binary http://mirror.house-net.local/ubuntu \
--bootappend-live "locale=en_GB.UTF-8 keyb=uk" \
--memtest none \
--initramfs casper \
--hostname "pendrive" \
--username "generic" \
--binary-images usb-hdd \
--source-images usb-hdd \
--ignore-system-defaults


-- 
-----------------------------------
Paul Canham
-----------------------------------
E-MAIL: paul@canham.eu
MSN: paulcanham@darkjest.co.uk
GMAIL: paul.canham@gmail.com

[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#606709; Package live-build. (Tue, 04 Jan 2011 12:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Tue, 04 Jan 2011 12:36:03 GMT) Full text and rfc822 format available.

Message #20 received at 606709@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Paul Canham <paul@canham.eu>, 606709@bugs.debian.org
Subject: Re: Bug#606709: Missing syslinux theme breaks build when using live-build 3.0~a9-1
Date: Tue, 04 Jan 2011 13:34:25 +0100
On 01/04/2011 12:23 PM, Paul Canham wrote:
> Problem with this is that this also breaks the mode "ubuntu" under
> live-build as well due to they don't have the
> 
> syslinux-themes-debian-squeeze

like i said, we'll handle that as once squeeze is released. for the time
being, either do not use 3.x *experimental* branch and stick with 2.x,
or include your own templates as already said earlier.

experimental is a debian branch which has the name 'experimental' on
purpose.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/




Changed Bug title to 'needs update for live-build 3.x' from 'Missing syslinux theme breaks build when using live-build 3.0~a9-1' Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Tue, 11 Jan 2011 13:21:03 GMT) Full text and rfc822 format available.

Bug reassigned from package 'live-build' to 'syslinux-themes-debian'. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Tue, 11 Jan 2011 13:21:04 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions live-build/3.0~a9-1. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Tue, 11 Jan 2011 13:21:04 GMT) Full text and rfc822 format available.

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Thu, 03 Feb 2011 06:51:04 GMT) Full text and rfc822 format available.

Notification sent to Volker Theile <votdev@gmx.de>:
Bug acknowledged by developer. (Thu, 03 Feb 2011 06:51:04 GMT) Full text and rfc822 format available.

Message #31 received at 606709-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 606709-close@bugs.debian.org
Subject: Bug#606709: fixed in syslinux-themes-debian 6-1
Date: Thu, 03 Feb 2011 06:47:08 +0000
Source: syslinux-themes-debian
Source-Version: 6-1

We believe that the bug you reported is fixed in the latest version of
syslinux-themes-debian, which is due to be installed in the Debian FTP archive:

syslinux-themes-debian-lenny_6-1_all.deb
  to main/s/syslinux-themes-debian/syslinux-themes-debian-lenny_6-1_all.deb
syslinux-themes-debian-squeeze_6-1_all.deb
  to main/s/syslinux-themes-debian/syslinux-themes-debian-squeeze_6-1_all.deb
syslinux-themes-debian_6-1.debian.tar.gz
  to main/s/syslinux-themes-debian/syslinux-themes-debian_6-1.debian.tar.gz
syslinux-themes-debian_6-1.dsc
  to main/s/syslinux-themes-debian/syslinux-themes-debian_6-1.dsc
syslinux-themes-debian_6-1_all.deb
  to main/s/syslinux-themes-debian/syslinux-themes-debian_6-1_all.deb
syslinux-themes-debian_6.orig.tar.gz
  to main/s/syslinux-themes-debian/syslinux-themes-debian_6.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 606709@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated syslinux-themes-debian package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 03 Feb 2011 07:28:29 +0100
Source: syslinux-themes-debian
Binary: syslinux-themes-debian syslinux-themes-debian-lenny syslinux-themes-debian-squeeze
Architecture: source all
Version: 6-1
Distribution: experimental
Urgency: low
Maintainer: Debian Syslinux Maintainers <syslinux@lists.debian-maintainers.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 syslinux-themes-debian - collection of boot loaders (theme metapackage)
 syslinux-themes-debian-lenny - collection of boot loaders (debian-lenny theme)
 syslinux-themes-debian-squeeze - collection of boot loaders (debian-squeeze theme)
Closes: 606709
Changes: 
 syslinux-themes-debian (6-1) experimental; urgency=low
 .
   * Updating themes packaging for live-build 3.x (Closes: #606709).
   * Updating to debhelper version 8.
   * Updating to standards version 3.9.1.
   * Switching to source format 3.0 (quilt).
   * Updating year in copyright file.
Checksums-Sha1: 
 302bfd00ecd77c949735ecef4287b7ef721d6b66 1455 syslinux-themes-debian_6-1.dsc
 5952a50caca9aea05fabd1adfe5cfa498b7b089d 35179 syslinux-themes-debian_6.orig.tar.gz
 541c24247d6e77d56e0508e5ed371180f30f0872 2495 syslinux-themes-debian_6-1.debian.tar.gz
 f4d8bef726ea5b83a70d13a3be4ed1c8a1cce1ae 2824 syslinux-themes-debian_6-1_all.deb
 456f33eefe2ce0e55b5c34e5f44ca02a0d24160a 18030 syslinux-themes-debian-lenny_6-1_all.deb
 7bb7b6734fadcd67cfe8b1b6fd7593f5fcf23873 9592 syslinux-themes-debian-squeeze_6-1_all.deb
Checksums-Sha256: 
 2818539ee856d9d8589aa6f16a595fb8fe5077fb35744c6b6ee0af23056c5fe0 1455 syslinux-themes-debian_6-1.dsc
 e475d31992515fb2e1ee4141eeb918fc4f9ccce797c07766ce488e3e4f8a138e 35179 syslinux-themes-debian_6.orig.tar.gz
 bcb641043ebd5f6c41dd37ea7ebf0709ff130c7d414a03c759cd4d76f1c07590 2495 syslinux-themes-debian_6-1.debian.tar.gz
 4fcd274d443d5275c73af3d3a5fa9494cbfcefd340afa2c404f6b84bd0186617 2824 syslinux-themes-debian_6-1_all.deb
 bfafecd7e6858918c0ff2a92c5c3c8db4b1a238b08e9b9539ad726915e4f7f99 18030 syslinux-themes-debian-lenny_6-1_all.deb
 f1954be0d76de8579e6177b59be626e71875c4675dff9ddb72db5b918693afbc 9592 syslinux-themes-debian-squeeze_6-1_all.deb
Files: 
 e146b45d92a0924de6d9b587ee741098 1455 misc optional syslinux-themes-debian_6-1.dsc
 49fbcb9f8b745e99ab2af940c3fdfd3d 35179 misc optional syslinux-themes-debian_6.orig.tar.gz
 fe66d5fcad7820b142fcf8da4a6559c7 2495 misc optional syslinux-themes-debian_6-1.debian.tar.gz
 10c29f22ae0e7faa1207a1a8a2de2675 2824 misc optional syslinux-themes-debian_6-1_all.deb
 363ae4b85c30c8f3b86cc6657f7b3b60 18030 misc optional syslinux-themes-debian-lenny_6-1_all.deb
 f13acd9c6e79cf00ba9af555c05bbd85 9592 misc optional syslinux-themes-debian-squeeze_6-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk1KS4gACgkQ+C5cwEsrK57xSwCg1I0SGaDL1Zfx3laGxtUxroNy
utMAoLNpVB46PSck0Ge56f3gO2hbtb4N
=rqi7
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 16 Mar 2011 07:33:45 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 19:32:04 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.